# OgreMath.h File Reference

`#include "OgrePrerequisites.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Functions

Radian | operator * (Real a, const Radian &b)
Radian | operator/ (Real a, const Radian &b)
Degree | operator * (Real a, const Degree &b)
Degree | operator/ (Real a, const Degree &b)

## Function Documentation

Degree Ogre::operator * | ( | Real | a,
|  | const Degree & | b
| ) |

| Definition at line 608 of file OgreMath.h. References Ogre::Degree::valueDegrees().

Radian Ogre::operator * | ( | Real | a,
|  | const Radian & | b
| ) |

| Definition at line 598 of file OgreMath.h. References Ogre::Radian::valueRadians().

Degree Ogre::operator/ | ( | Real | a,
|  | const Degree & | b
| ) |

| Definition at line 613 of file OgreMath.h. References Ogre::Degree::valueDegrees().

Radian Ogre::operator/ | ( | Real | a,
|  | const Radian & | b
| ) |

| Definition at line 603 of file OgreMath.h. References Ogre::Radian::valueRadians().

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:44 2009